﻿header {
    display: flex;
    flex-direction: row;
    border: 1px solid #EAEAEA;
}

.nav-menu {
    background-color: #F3F3F3;
    display: flex;
    flex-direction: row;
    padding: 5px;
    align-items: start;
    justify-content: space-between;
    width: 100%;
    height: auto;
    text-decoration: none;
    color: black;
    box-sizing: border-box;
    box-shadow: rgba(33, 35, 38, 0.1) 0px 10px 10px -10px;
}

.vertical-br {
    border-left: 1px solid #EAEAEA;
    height: 30px;
    margin: 5px;
}

.nav-menu.desploy-details {
    height: 70px;
    align-items: start;
}

.info-client {
    padding: 5px;
    display: flex;
    position: relative;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    gap: 10px;
    cursor: pointer;
}

.client-options {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    padding: 0px;
    box-sizing: border-box;
}

.setting-client {
    position: absolute;
    top: 30px;
    right: 0;
    background-color: #F3F3F3;
    padding: 5px;
    max-height: 0;
    /* Cambiado de height: 0px a max-height */
    overflow: hidden;
    /* Añadido para evitar desbordamientos */
    opacity: 0;
    transition: max-height 0.3s ease, opacity 0.3s ease;
    z-index: 1;
}

.client-options:hover .setting-client {
    max-height: 200px;
    /* Un valor máximo que sea suficientemente grande para el contenido */
    opacity: 1;
}


.setting-client ul {
    display: flex;
    flex-direction: column;
    gap: 5px;
    font-size: 12px;
    list-style: none;
    box-sizing: border-box;
    text-align: right;
}

    .setting-client ul li {
        padding: 3px;
        border-radius: 5px;
    }

        .setting-client ul li:hover {
            background-color: #EAEAEA;
            padding: 3px;
            border-radius: 5px;
        }

        .setting-client ul li a {
            text-decoration: none;
            color: black;
            width: 100%;
        }

.circle-client {
    height: 30px;
    width: 30px;
    background-color: #FF6C37;
    border-radius: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 12px;
}

.detail-client {
    font-size: 12px;
    box-sizing: border-box;
    z-index: 200;
}

.nav-menu-groups {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.lateral-menu {
    top: 50px;
    position: fixed;
    box-sizing: border-box;
    height: calc(100% - 50px);
    width: auto;
    min-width: 200px;
    background-color: #F3F3F3;
    justify-content: space-between;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    padding: 10px;
    transform: translateX(-100%);
    /* Oculta el menú lateral inicialmente */
    transition: transform 0.3s ease;
}


.menu-items hr {
    display: none;
    margin-bottom: 10px;
}

.lateral-menu.show {
    transform: translateX(0);
}

.ul-lateral {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3px;
}


.menu-items {
    position: relative;
    list-style: none;
    width: 100%;
    box-sizing: border-box;
}

.sub-item-menu {
    padding-left: 15px;
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transition: max-height .4s ease-out, opacity .4s ease-out;
}

    .sub-item-menu ul {
        font-size: 12px;
        list-style: none;
        display: flex;
        flex-direction: column;
        gap: 10px;
        margin-bottom: 10px;
        margin-top: 10px;
    }

.li-sub-menu {
    text-decoration: none;
    font-size: 12px;
    color: black;
    cursor: pointer;
}

    .li-sub-menu:hover {
        color: #1975C5;
    }

/* Cambia el selector para cada submenú del elemento correspondiente */
.menu-items:hover .sub-item-menu {
    max-height: 500px;
    /* Elige un valor suficientemente grande que supere cualquier altura posible del contenido */
    opacity: 1;
}

.option-lateral-menu {
    display: flex;
    width: 100%;
    flex-direction: row;
    gap: 5px;
    text-decoration: none;
    align-items: center;
    color: black;
    font-size: 12px;
    padding: 5px;
    border-radius: 5px;
    box-sizing: border-box;
    height: 30px;
    text-decoration: none;
    transition: background-color 0.3s ease, color 0.3s ease;
}

    .option-lateral-menu:focus {
        outline: none;
        /* Remove default focus outline */
        background-color: #D0D0D0;
        /* Different background for focus */
        border-left: solid 3px #1f7fd3;
        /* Same color as hover for focus */
    }

.select-vertical-hr {
    border-left: solid 3px transparent;
    height: 100%;
    transition: border-left-color 0.3s ease;
}

.option-lateral-menu:hover {
    background-color: #EAEAEA;
}

.menu-items:hover .select-vertical-hr {
    border-left: solid 3px #1f7fd3;
}


.menu-items .bi {
    font-size: 12px;
    transition: transform 1s ease-in-out;
}

.menu-items.animate:hover .bi {
    transform: rotate(360deg);
}

.options-nav-menu {
    display: flex;
    flex-direction: row;
}

.btn-menu {
    width: 70px;
    height: 40px;
    background-color: #F3F3F3;
    color: black;
    border: transparent;
    font-size: 15px;
    border-radius: 5px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}

    .btn-menu .popup-notice {
        position: absolute;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 8px;
        background-color: red !important;
        width: 10px;
        height: 10px;
        top: 0px;
        color: white;
        border-radius: 100%;
        padding: 5px;
        right: 15px;
    }


.nav-menu.desploy-details .bi-three-dots {
    transform: rotate(0deg);
    transition: transform .2s ease-in-out;
}

.nav-menu.desploy-details .bi-three-dots {
    transform: rotate(-90deg);
}

.menu-name {
    position: absolute;
    top: 45px;
    font-size: 10px;
    display: none;
}

.nav-menu.desploy-details .menu-name {
    display: flex;
}

.btn-menu:hover {
    background-color: #EAEAEA;
}

.lateral-building {
    display: none;
}

.container-btn-close {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: center;
}

.btn-close {
    border: solid 1px transparent;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 5px;
}

    .btn-close:hover {
        background-color: #EAEAEA;
    }

.box-search {
    display: none;
}

.search-nav-inpt {
    width: 300px;
    border: 1px solid transparent;
    height: 30px;
    outline: none;
}

    .search-nav-inpt:focus {
        border: 1px solid #1975C5 !important;
    }



@media (max-width:800px) {


    .detail-client {
        display: none;
    }


    .lateral-building {
        display: block;
    }

    .box-search {
        display: block;
    }

    .menu-items hr {
        display: block;
    }

    .container-bottom {
        position: fixed;
        z-index: 1800;
        bottom: 0;
        left: 0;
        display: flex;
        flex-direction: row;
        background-color: #F3F3F3;
        width: 100%;
        box-sizing: border-box;
        padding: 5px;
        box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    }

    .options-nav-menu {
        width: 100%;
        justify-content: center;
        align-items: center;
        gap: 5px;
    }

    .btn-menu {
        width: 70px;
        height: 40px;
        font-size: 20px;
    }

    .buttom-show {
        display: none;
    }

    .nav-menu-groups {
        flex-direction: column;
    }

    .lateral-menu {
        box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
        top: 0px;
        height: 96%;
        padding-bottom: 30px;
    }
}
